#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "autonom_a/Num.h"

namespace autonom_a
{
	class NodeletDuo : public nodelet::Nodelet
	{
		public:
			virtual void onInit();
			NodeletDuo(ros::NodeHandle &nh, std::string &name);
			NodeletDuo();
			~NodeletDuo();

		private:
			void topicCallback(const Num::ConstPtr& msg);
			ros::NodeHandle nh_;
			std::string name_;
			ros::Publisher topic2_pub;
			ros::Subscriber topic1_sub;
	};
}
